<script setup>
// TODO: close file modal automatically if the targeted bloc was deleted in background (i potentially can cause bug and force user to reload the app)
import BaseModal from '@/component/BaseModal.vue'
import FileModalContentRename from '@/component/FileModalContentRename.vue'
import FileModalContentMove from '@/component/FileModalContentMove.vue'
import FileModalContentDelete from '@/component/FileModalContentDelete.vue'
import { useFileModal } from '@/store/file-modal'
import { computed } from 'vue'

const props = defineProps({
  context: {
    type: String,
    required: true
  }
})

const fileModalStore = useFileModal()
const properties = computed(() => fileModalStore.modal[props.context])
</script>

<template>
  <BaseModal
    :title="properties.title"
  >
    <template #content>
      <FileModalContentRename
        v-if="properties.state === 'rename'"
        :bid="properties.bid"
        @event-confirm="fileModalStore.hideFileModal(context)"
      />
      <FileModalContentMove
        v-else-if="properties.state === 'move'"
        :bid="properties.bid"
        @event-confirm="fileModalStore.hideFileModal(context)"
      />
      <FileModalContentDelete
        v-else-if="properties.state === 'delete'"
        :bid="properties.bid"
        @event-confirm="fileModalStore.hideFileModal(context)"
      />
    </template>
  </BaseModal>
</template>

